Subject: linux-next: manual merge of the kvm tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 13 Jul 2022 16:02:38 +1000

Hi all,

Today's linux-next merge of the kvm tree got a conflict in:

  arch/x86/kvm/vmx/capabilities.h

between commit:

  07853adc29a0 ("KVM: VMX: Prevent RSB underflow before vmenter")

from Linus' tree and commits:

  cf8e55fe50df ("KVM: x86/pmu: Expose CPUIDs feature bits PDCM, DS, DTES64")
  6ef25aa0a961 ("KVM: x86/pmu: Restrict advanced features based on module enable_pmu")

from the kvm tree.

I didn't know if the new includes needed to be prefixed with "../"
as well ... I though it was better safe than sorry.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc arch/x86/kvm/vmx/capabilities.h
index c0e24826a86f,069d8d298e1d..000000000000
--- a/arch/x86/kvm/vmx/capabilities.h
+++ b/arch/x86/kvm/vmx/capabilities.h
@@@ -4,8 -4,10 +4,10 @@@
  
  #include <asm/vmx.h>
  
 -#include "lapic.h"
 -#include "x86.h"
 -#include "pmu.h"
 -#include "cpuid.h"
 +#include "../lapic.h"
 +#include "../x86.h"
++#include "../pmu.h"
++#include "../cpuid.h"
  
  extern bool __read_mostly enable_vpid;
  extern bool __read_mostly flexpriority_enabled;